Squid 2.7.7 and PFsense 1.2.3RC3 not working



  • Hi,

    I have been having this issue with PF 1.2.3RC3 and squid 2.7.7.
    I have reintalled PF several time and always the same error as below.

    I cannot select sny options besides only the "Genreal " option and nothing else.
    Using IE7.

    Any and all help is appriciated and thanks in advance.

    Webpage error details

    User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; InfoPath.2; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
    Timestamp: Wed, 11 Nov 2009 09:30:27 UTC

    Message: 'document.iform.elements.log_query_terms' is null or not an object
    Line: 21
    Char: 3
    Code: 0
    URI: http://192.168.168.x/pkg_edit.php?xml=squid.xml&id=0

    T
    THanks in advance
    George



  • Squid drop down menus hasn't worked well before 1.23 RC3…even I believe before 1.22 on IE8. Use firefox instead.



  • I used to shorten the menus via the squid-xml-files in /usr/local/pkg. To do so, look in every squid_xxx.xml, you see entrys beginning with <tab>There you find the menu-entries.
    My menus are now:
        General      Upstream      Cache      Access      Traffic      Auth      Local users

    Maybe this would be fine for an update? Now its short enough to fit on the page. The dropdown-menu only works on firefox (Mac). I don't use windows, but seems to be a similar thing.</tab>



  • If your using squid transparent. you can remove Auth, Local users. in squid.xml and so forth.



  • Hi Thanks,

    I will try that tonight and see how it goes.

    It will be used in transparent mode at the moment.
    :)

    Thansk
    George



  • Hi Thanks for your help.

    Made the changes as sugested and it workde.
    :)
    ;D
    Thanks
    George


Log in to reply